Subject: Re: bug#14766: 24.3.50; sometimes "Memory exhausted" on Cygwin

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 17 Jul 2013 15:36:01 +0900

I'm closing these two bugs:

bug#14569: 24.3.50; bootstrap fails on Cygwin
bug#14766: 24.3.50; sometimes "Memory exhausted" on Cygwin

Katsumi Yamaoka wrote:
> Ken Brown wrote:
>> On 7/3/2013 6:01 AM, Katsumi Yamaoka wrote:
>>> Paul Eggert wrote:
>>>> On 07/02/2013 08:24 PM, Ken Brown wrote:
>>>>> Is it possible that gfilenotify doesn't work well with the lucid toolkit?
>>>>> Or perhaps the tickling of glib causes problems when the lucid
>>>>> toolkit is used?
>>>
>>>> It's possible, but lucid isn't multithreaded.
>>>
>>>> What happens if you append --without-file-notification
>>>> to the 'configure' options?  I expect that's what's
>>>> dragging in glib.
>>>
>>> I tried --without-file-notification.  AFAICT no difference presents,
>>> if anything, I feel like the frequency of the freezing is increased.
>>> Emacs links cygglib-2.0-0.dll .

>> What if you also add --without-rsvg?

> Oh, Emacs was built without glib.  It still sometimes freezes,
> though I haven't seen "Memory exhausted" yet so far.  I'll keep
> trying it.  Thanks.

I don't know why, sorry, but Emacs on Cygwin doesn't make the memory
exhausted, it doesn't freeze, and it bootstraps smoothly these days.
`system-configuration-options' I use now is:
	"--verbose --with-x-toolkit=lucid --without-imagemagick\
	--without-dbus --without-gconf --without-gsettings"
I.e., Emacs is built with glib.

Thanks.

As for the derived bug
"Emacs segfaulting on FreeBSD 9.1-RELEASE (amd64) during memory allocation."
that is labeled with bug#14569 (the same), I believe it's been solved:

http://thread.gmane.org/gmane.emacs.devel/161494/focus=75909